<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Login</title>
    <link rel="stylesheet" href="styles/login.css">
</head>
<body>
    <div class="container">
        <form action="./travellingScrollpy1.html" class="login-form">
            <h1>Login</h1>

            <div class="txtb">
                <input type="text">
                <span data-placeholder="Username"></span>
            </div>
            
            <div class="txtb">
                <input type="password">
                <span data-placeholder="Password"></span>
            </div>
            
            <div class="txtb">
                <input type="password">
                <span data-placeholder="Password"></span>
            </div>
            
            <input type="submit" value="Login" id="logbtn" class="logbtn">
            
            <div class="bottom-text">
                Don't have account? <a href="#">Sign up</a>
            </div>
        </form>
    </div>

    <script>
       let inputs = document.querySelectorAll('.txtb input');
       let logBtn = document.getElementById('logbtn');

       
 
        inputs.forEach(input => {
            if(input.value == ""){
                input.classList.remove('focus');
            } else{
                input.classList.add('focus');
            }

            input.addEventListener('focus', ()=>{
                input.classList.add('focus');
            });
            
            input.addEventListener('blur', ()=>{
                if(input.value == ""){
                    input.classList.remove('focus');
                }
            });

            logBtn.setAttribute('disabled', 'disabled');
            logBtn.style.cursor = "not-allowed";

            input.addEventListener('input', ()=>{

                if(inputs[0].value == "" || inputs[1].value == "" || inputs[2].value == "" || inputs[3].value == ""){
                    console.log("disabled");
                    logBtn.style.cursor = "not-allowed";
                    logBtn.setAttribute('disabled', 'disabled');
                }else{
                    console.log("enabled");
                    logBtn.style.cursor = "pointer";
                    logBtn.removeAttribute('disabled');
                }
            });
            
        }); 
        
        // console.log(y);
                

            // console.log('inputs[0].value == "" || '+x);



    </script>

</body>
</html>